<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Fri Dec 06 14:58:24 GMT 2019 -->
<title>CommunityChest</title>
<meta name="date" content="2019-12-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CommunityChest";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CommunityChest.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../cards/Chance.html" title="class in cards"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../cards/Deck.html" title="class in cards"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?cards/CommunityChest.html" target="_top">Frames</a></li>
<li><a href="CommunityChest.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">cards</div>
<h2 title="Class CommunityChest" class="title">Class CommunityChest</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>cards.CommunityChest</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../cards/Card.html" title="interface in cards">Card</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">CommunityChest</span>
extends java.lang.Object
implements <a href="../cards/Card.html" title="interface in cards">Card</a></pre>
<div class="block">Community Chest Card Implementation</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../cards/CommunityChest.html#CommunityChest-int-">CommunityChest</a></span>(int&nbsp;cardNumber)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../cards/CommunityChest.html#action-int-">action</a></span>(int&nbsp;cardNumber)</code>
<div class="block">16 Types of Community Chest Cards</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../cards/Action.html" title="enum in cards">Action</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../cards/CommunityChest.html#getAction--">getAction</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../cards/CommunityChest.html#getAmount--">getAmount</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../cards/CommunityChest.html#getCardDetails--">getCardDetails</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../cards/CommunityChest.html#getDetails--">getDetails</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../cards/CommunityChest.html#getHotelCost--">getHotelCost</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../cards/CommunityChest.html#getHouseCost--">getHouseCost</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../cards/CommunityChest.html#getMoveTo--">getMoveTo</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../cards/CommunityChest.html#isGetOutOfJailFreeCard--">isGetOutOfJailFreeCard</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../cards/CommunityChest.html#isJailFlag--">isJailFlag</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../cards/CommunityChest.html#search-int-">search</a></span>(int&nbsp;cardNumber)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../cards/CommunityChest.html#setAction-cards.Action-">setAction</a></span>(<a href="../cards/Action.html" title="enum in cards">Action</a>&nbsp;action)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../cards/CommunityChest.html#setAmount-int-">setAmount</a></span>(int&nbsp;amount)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../cards/CommunityChest.html#setCardDetails-java.lang.String-">setCardDetails</a></span>(java.lang.String&nbsp;cardDetails)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../cards/CommunityChest.html#setGetOutOfJailFreeCard-boolean-">setGetOutOfJailFreeCard</a></span>(boolean&nbsp;getOutOfJailFreeCard)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../cards/CommunityChest.html#setHotelCost-int-">setHotelCost</a></span>(int&nbsp;hotelCost)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../cards/CommunityChest.html#setHouseCost-int-">setHouseCost</a></span>(int&nbsp;houseCost)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../cards/CommunityChest.html#setJailFlag-boolean-">setJailFlag</a></span>(boolean&nbsp;jailFlag)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../cards/CommunityChest.html#setMoveTo-int-">setMoveTo</a></span>(int&nbsp;moveTo)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CommunityChest-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CommunityChest</h4>
<pre>public&nbsp;CommunityChest(int&nbsp;cardNumber)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="action-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>action</h4>
<pre>public&nbsp;void&nbsp;action(int&nbsp;cardNumber)</pre>
<div class="block">16 Types of Community Chest Cards</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../cards/Card.html#action-int-">action</a></code>&nbsp;in interface&nbsp;<code><a href="../cards/Card.html" title="interface in cards">Card</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cardNumber</code> - </dd>
</dl>
</li>
</ul>
<a name="search-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>search</h4>
<pre>public&nbsp;java.lang.String&nbsp;search(int&nbsp;cardNumber)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../cards/Card.html#search-int-">search</a></code>&nbsp;in interface&nbsp;<code><a href="../cards/Card.html" title="interface in cards">Card</a></code></dd>
</dl>
</li>
</ul>
<a name="getDetails--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDetails</h4>
<pre>public&nbsp;java.lang.String&nbsp;getDetails()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../cards/Card.html#getDetails--">getDetails</a></code>&nbsp;in interface&nbsp;<code><a href="../cards/Card.html" title="interface in cards">Card</a></code></dd>
</dl>
</li>
</ul>
<a name="getAction--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAction</h4>
<pre>public&nbsp;<a href="../cards/Action.html" title="enum in cards">Action</a>&nbsp;getAction()</pre>
</li>
</ul>
<a name="getAmount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAmount</h4>
<pre>public&nbsp;int&nbsp;getAmount()</pre>
</li>
</ul>
<a name="getMoveTo--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMoveTo</h4>
<pre>public&nbsp;int&nbsp;getMoveTo()</pre>
</li>
</ul>
<a name="isGetOutOfJailFreeCard--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isGetOutOfJailFreeCard</h4>
<pre>public&nbsp;boolean&nbsp;isGetOutOfJailFreeCard()</pre>
</li>
</ul>
<a name="getHouseCost--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHouseCost</h4>
<pre>public&nbsp;int&nbsp;getHouseCost()</pre>
</li>
</ul>
<a name="getHotelCost--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHotelCost</h4>
<pre>public&nbsp;int&nbsp;getHotelCost()</pre>
</li>
</ul>
<a name="isJailFlag--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isJailFlag</h4>
<pre>public&nbsp;boolean&nbsp;isJailFlag()</pre>
</li>
</ul>
<a name="getCardDetails--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCardDetails</h4>
<pre>public&nbsp;java.lang.String&nbsp;getCardDetails()</pre>
</li>
</ul>
<a name="setCardDetails-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCardDetails</h4>
<pre>public&nbsp;void&nbsp;setCardDetails(java.lang.String&nbsp;cardDetails)</pre>
</li>
</ul>
<a name="setAction-cards.Action-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAction</h4>
<pre>public&nbsp;void&nbsp;setAction(<a href="../cards/Action.html" title="enum in cards">Action</a>&nbsp;action)</pre>
</li>
</ul>
<a name="setAmount-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAmount</h4>
<pre>public&nbsp;void&nbsp;setAmount(int&nbsp;amount)</pre>
</li>
</ul>
<a name="setMoveTo-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMoveTo</h4>
<pre>public&nbsp;void&nbsp;setMoveTo(int&nbsp;moveTo)</pre>
</li>
</ul>
<a name="setGetOutOfJailFreeCard-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGetOutOfJailFreeCard</h4>
<pre>public&nbsp;void&nbsp;setGetOutOfJailFreeCard(boolean&nbsp;getOutOfJailFreeCard)</pre>
</li>
</ul>
<a name="setHouseCost-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHouseCost</h4>
<pre>public&nbsp;void&nbsp;setHouseCost(int&nbsp;houseCost)</pre>
</li>
</ul>
<a name="setHotelCost-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHotelCost</h4>
<pre>public&nbsp;void&nbsp;setHotelCost(int&nbsp;hotelCost)</pre>
</li>
</ul>
<a name="setJailFlag-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setJailFlag</h4>
<pre>public&nbsp;void&nbsp;setJailFlag(boolean&nbsp;jailFlag)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CommunityChest.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../cards/Chance.html" title="class in cards"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../cards/Deck.html" title="class in cards"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?cards/CommunityChest.html" target="_top">Frames</a></li>
<li><a href="CommunityChest.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
